Fundraising
Refresh the handwritten-card catalog
Synchronously fetches and saves the selected provider catalog, country metadata and defaults. Managed artwork is public stock, excluding private designs/inserts/signatures. Changed quote inputs invalidate unapproved drafts. Stale concurrent refreshes cannot replace newer connection state. Requires the configured Handwrytten feature (normally handwrytten_mailings). Requires permission: one of account, manage_settings, mailings_manage, access_account_settings (raw capability).
POST
/
admin
/
handwrytten
/
catalog
/
sync
Refresh the handwritten-card catalog
curl --request POST \
--url https://api.gratona.com/v1/admin/handwrytten/catalog/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_mode": "hys_managed",
"api_key": "Api Key"
}
'import requests
url = "https://api.gratona.com/v1/admin/handwrytten/catalog/sync"
payload = {
"account_mode": "hys_managed",
"api_key": "Api Key"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_mode: 'hys_managed', api_key: 'Api Key'})
};
fetch('https://api.gratona.com/v1/admin/handwrytten/catalog/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/handwrytten/catalog/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_mode' => 'hys_managed',
'api_key' => 'Api Key'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/handwrytten/catalog/sync"
payload := strings.NewReader("{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/handwrytten/catalog/sync")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/handwrytten/catalog/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"counts": {
"cards": 100,
"card_categories": 100,
"fonts": 100,
"countries": 100,
"inserts": 100,
"signatures": 100,
"custom_images": 100
},
"synced_at": "2026-10-20T12:00:00Z",
"preference": {
"account_mode": "hys_managed",
"partner_owned_setup_enabled": true,
"account_connected": true,
"status": "Example",
"test_mode": true,
"default_card_catalog_item_id": 42,
"default_signer_user_id": 42,
"default_card_vendor_id": "Example",
"default_font_label": "Example",
"default_insert_vendor_id": "Example",
"catalog_sync_status": "Example",
"catalog_sync_error": "Example",
"default_sender_address_json": {
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"address1": "Example",
"address2": "Example",
"street": "Example",
"address_line2": "Example",
"city": "Example",
"state": "Example",
"province": "Example",
"zip": "Example",
"postal_code": "Example",
"country": "Example",
"country_code": "Example",
"country_id": 1
},
"default_return_address_json": {
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"address1": "Example",
"address2": "Example",
"street": "Example",
"address_line2": "Example",
"city": "Example",
"state": "Example",
"province": "Example",
"zip": "Example",
"postal_code": "Example",
"country": "Example",
"country_code": "Example",
"country_id": 1
},
"estimated_monthly_volume": 100,
"low_credit_threshold": 100,
"catalog_synced_at": "2026-10-20T12:00:00Z",
"saved_preferences_json": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Validated request fields for this operation.
Response
Operation result.
Show child attributes
Show child attributes
⌘I
Refresh the handwritten-card catalog
curl --request POST \
--url https://api.gratona.com/v1/admin/handwrytten/catalog/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_mode": "hys_managed",
"api_key": "Api Key"
}
'import requests
url = "https://api.gratona.com/v1/admin/handwrytten/catalog/sync"
payload = {
"account_mode": "hys_managed",
"api_key": "Api Key"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_mode: 'hys_managed', api_key: 'Api Key'})
};
fetch('https://api.gratona.com/v1/admin/handwrytten/catalog/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/handwrytten/catalog/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_mode' => 'hys_managed',
'api_key' => 'Api Key'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/handwrytten/catalog/sync"
payload := strings.NewReader("{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/handwrytten/catalog/sync")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/handwrytten/catalog/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_mode\": \"hys_managed\",\n \"api_key\": \"Api Key\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"counts": {
"cards": 100,
"card_categories": 100,
"fonts": 100,
"countries": 100,
"inserts": 100,
"signatures": 100,
"custom_images": 100
},
"synced_at": "2026-10-20T12:00:00Z",
"preference": {
"account_mode": "hys_managed",
"partner_owned_setup_enabled": true,
"account_connected": true,
"status": "Example",
"test_mode": true,
"default_card_catalog_item_id": 42,
"default_signer_user_id": 42,
"default_card_vendor_id": "Example",
"default_font_label": "Example",
"default_insert_vendor_id": "Example",
"catalog_sync_status": "Example",
"catalog_sync_error": "Example",
"default_sender_address_json": {
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"address1": "Example",
"address2": "Example",
"street": "Example",
"address_line2": "Example",
"city": "Example",
"state": "Example",
"province": "Example",
"zip": "Example",
"postal_code": "Example",
"country": "Example",
"country_code": "Example",
"country_id": 1
},
"default_return_address_json": {
"first_name": "Example",
"last_name": "Example",
"name": "Example",
"address1": "Example",
"address2": "Example",
"street": "Example",
"address_line2": "Example",
"city": "Example",
"state": "Example",
"province": "Example",
"zip": "Example",
"postal_code": "Example",
"country": "Example",
"country_code": "Example",
"country_id": 1
},
"estimated_monthly_volume": 100,
"low_credit_threshold": 100,
"catalog_synced_at": "2026-10-20T12:00:00Z",
"saved_preferences_json": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}